# Uses of Interface
org.eclipse.core.resources.IProjectNature

Packages that use IProjectNature
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.

## Uses of IProjectNature in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IProjectNature
Modifier and Type
Method
Description
`IProjectNature`
IProject.`getNature(String natureId)`
Returns the specified project nature for this project or `null` if the project nature has not been added to this project.

## Uses of IProjectNature in org.eclipse.team.core

Classes in org.eclipse.team.core that implement IProjectNature
Modifier and Type
Class
Description
`class`
`RepositoryProvider`
A concrete subclass of `RepositoryProvider` is created for each project that is associated with a repository provider.